file_pair Struct Reference

## Data Fields

const char * | src_name
char * | dest_name
int | src_fd
| File descriptor of the source file. More...
int | dest_fd
| File descriptor of the target file. More...
bool | src_eof
| True once end of the source file has been detected. More...
bool | src_has_seen_input
bool | flush_needed
| For –flush-timeout: True when flushing is needed. More...
bool | dest_try_sparse
off_t | dest_pending_sparse
struct stat | src_st
| Stat of the source file. More...
struct stat | dest_st
| Stat of the destination file. More...

## Field Documentation

## src_name

const char* file_pair::src_name

Name of the source filename (as given on the command line) or pointer to static "(stdin)" when reading from standard input.

Referenced by io_open_src(), and io_open_src_real().

## dest_name

char* file_pair::dest_name

Destination filename converted from src_name or pointer to static "(stdout)" when writing to standard output.

## src_fd

int file_pair::src_fd

File descriptor of the source file.

Referenced by io_open_src(), io_pread(), and io_wait().

## dest_fd

int file_pair::dest_fd

File descriptor of the target file.

Referenced by io_close(), io_copy_attrs(), and io_wait().

## src_eof

bool file_pair::src_eof

True once end of the source file has been detected.

Referenced by coder_normal().

## src_has_seen_input

bool file_pair::src_has_seen_input

For –flush-timeout: True if at least one byte has been read since the previous flush or the start of the file.

## flush_needed

bool file_pair::flush_needed

For –flush-timeout: True when flushing is needed.

## dest_try_sparse

bool file_pair::dest_try_sparse

If true, we look for long chunks of zeros and try to create a sparse file.

Referenced by io_close().

## dest_pending_sparse

off_t file_pair::dest_pending_sparse

This is used only if dest_try_sparse is true. This holds the number of zero bytes we haven't written out, because we plan to make that byte range a sparse chunk.

Referenced by io_close().

## src_st

struct stat file_pair::src_st

Stat of the source file.

Referenced by io_copy_attrs(), and parse_indexes().

## dest_st

struct stat file_pair::dest_st

Stat of the destination file.

The documentation for this struct was generated from the following file:

- xz/file_io.h